#include "State_Report.h"

using namespace drogon;

State_Report::State_Report() {
  wm = Ws_Mgr::instance()->register_ws("/state_report");
}

void State_Report::push_state(Psc::JSON json) {
  auto data = json.to_json_string();
  wm->push_data(data.data(), data.length());
}

